Channels

Start a Mastodon publisher connection flow

POST
/api/projects/{projectId}/channels/{channelId}/publisher/mastodon/connect

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
instanceUrl*string
Length1 <= length <= 2048

Response Body

Response for status 200

application/json
  1. response
provider*string
scopes*array<>
authorizationUrl*string
Length1 <= length
Example Request
curl -X POST 'https://postbot.example/api/projects/string/channels/string/publisher/mastodon/connect' \
  -H 'Content-Type: application/json' \
  -d '{
  "instanceUrl": "string"
}'
Example Response
{
  "provider": "mastodon",
  "scopes": [
    "string"
  ],
  "authorizationUrl": "string"
}

Was this page helpful?